#!/usr/bin/env python

import sys

import xdg.Menu
import xdg.DesktopEntry

def show_menu(menu, depth):
	print depth*"-" + "\x1b[01m" + menu.getName() + "\x1b[0m"
	depth += 1
	for entry in menu.Entries:
		if isinstance(entry, xdg.Menu.Menu):
			show_menu(entry, depth)
		elif isinstance(entry, xdg.Menu.MenuEntry):
			print depth*"-" + entry.DesktopEntry.getName()
#			print menu.getName() + "/\t" + entry.DesktopFileID + "\t" + entry.DesktopEntry.getFileName()
	depth -= 1

try:
	show_menu(xdg.Menu.parse(sys.argv[1]), 0)
except IndexError:
	show_menu(xdg.Menu.parse(), 0)
