"""
Exception Classes for the xdg package
"""

class Error(Exception):
	def __init__(self, msg):
		self.msg = msg
		Exception.__init__(self, msg)
	def __str__(self):
		return self.msg

class ValidationError(Error):
	def __init__(self, msg, file):
		self.msg = msg
		self.file = file
		Error.__init__(self, "ValidationError in file '%s': %s " % (file, msg))

class ParsingError(Error):
	def __init__(self, msg, file):
		self.msg = msg
		self.file = file
		Error.__init__(self, "ParsingError in file '%s', %s" % (file, msg))

class NoKeyError(Error):
	def __init__(self, key, section, file):
		Error.__init__(self, "No key '%s' in section %s of file %s" % (key, section, file))
		self.key = key
		self.section = section

class NoGroupError(Error):
	def __init__(self, section, file):
		Error.__init__(self, "No section: %s in file %s" % (section, file))
		self.section = section
